@book{newman1999monte,
  title={Monte carlo methods in statistical physics chapter 1-4},
  author={Newman, M and Barkema, G},
  volume={24},
  year={1999},
  publisher={Oxford University Press: New York, USA}
}